import axios from '@/common/services/axios-instance'

class AuditAccountService {

    // 获取项目信息
    getProjectInfoById(id) {
        return axios({
            url: `api/xcoa-mobile/v1/iamauditproject/getProjectInfoById?id=` + id,
        })
    }

    // 获取项目发现问题涉及金额信息
    getProblemAmount(id) {
        return axios({
            url: `api/xcoa-mobile/v1/iamauditreportfindmoney/getProblemAmount?projectId=` + id,
        })
    }

    // 新建前数据校验
    beforeCreateCheck(id) {
        return axios({
            url: `api/xcoa-mobile/v1/iamprojectaccount/beforeCreateCheck?projectId=` + id,
        })
    }
}

export default new AuditAccountService()
